Welcome to the new monday developer community
-
Recently active
Funnels for sales and marketing Omnitas.dev presents Funnels - an app which lets you draw beautiful charts for sales/marketing funnels and analyse journey of items through the workflow. Omnitas.dev is part of Omnitas Consulting - monday.com’s Best Professional Service Partner. 🎉 Funnels won the main prize in monday.com Apps Marketplace Challenge (you can see the entry on devpost.com) and we’re proud to be able to bring it to you via Apps Marketplace now!🎉 Funnels for monday.com on the Marketplace Functionality The app adds 2 Board Views: Funnel Board View This view lets you visualise traditional sales or marketing funnel showing number of items per status. Graph assumes that reaching certain state means an items went through all previous states. Tree / Journey Board View This view shows transitions of items between statuses and takes into account the whole activity log of items. 📄 Documentation and more info Live demos for Funnel view and Tree/Journey
When using the API Playground GraphiQL interface, it seems like it supports the ability (like the default GraphiQL from Apollo) to have multiple queries in the editor, then choose which one to run. It doesn’t work though and gives the error "An operation name is required" even though I have specified operation names for each query/mutation.
Hello, monday.com community. I am trying to get the name of a column given its id and board id. My code is query($boardId: [Int], $columnId: [String]) { boards(ids:$boardId){ columns(ids:[$columnId]){ title } } } const variables = { boardId, columnId }; const response = await mondayClient.api(query, { variables }); I am facing the following error { [0] errors: [ [0] { [0] message: 'List dimension mismatch on variable $columnId and argument ids ([[String]]! / [String])', [0] locations: [Array], [0] fields: [Array] [0] } [0] ], [0] } Would appreciate any help. Thank You!!.
Hi all! 🙂 I went through the Quick Start and installed my starter app. The app isn’t showing in Safari but is working fine in Chrome. I don’t have any extra content blockers running in Safari. When the window loads in Safari, I get this error in the console 7 times: Unrecognized Content-Security-Policy directive 'worker-src'. Followed by 3 401s, for : https://...cdn...chunk.css https://...cdn...chunk.js https://...cdn...chunk.js Any ideas if there’s anything I can do on my side to make this work in Safari? I don’t typically write in React and am not super familiar with working with service workers.
Hey there, I added both the DEV and PROD Redirect URLs in the Redirect URLs field on the OAuth & Permissions page within my Monday App and kept getting the following error on the /oauth2/token call: Data: { “error”: “invalid_grant”, “error_description”: “Authorization code and redirect_uri mismatch” } I found this curious because in the field it says “If you pass a redirect_uri in an OAuth request, it must exactly match one of the URLs you enter here”, and within the /authorize endpoint request body, you pass the redirect_uri parameter only if you have multiple Redirect URLs listed in the field above (else it defaults to the first configured URL in the list). Once I removed one of the Redirect URLs from the list (now only having 1), it started working again. The only thing I can think of here is that the Multiple Redirect URLs Logic is broken. Let me know what you find!
Those past days, regularly, the integrations from our listed App (QR Code Item Tracking) disappear: You can not find see them in the integration center anymore It doesn’t trigger the actions already configured In the developer backend, I can’t even see any recipe See that is action here: recipes not listed anymore - YouTube It was resolve yesterday, then, today, it failed again. I’m worried about that, because many customers are using this App. Is it a known issue? @VladMonday @amir
Is there any way to create custom trigger or maybe existing trigger to subscribe/unsubscribe and pass some config to external application - e.g. api_key for specific client. I know we can create recipe with outbound filed but this does not looks like proper way from security perspective Any recomendations ?
Hi, I’m trying to use the API v2 to change the values in a dropdown column. The first instruction works. The other two are not. But should work according to the instructions at https://monday.com/developers/v2#column-values-section-dropdown The following three actions should all always lead to the same result. That’s not the case. Only the first one results as expected. My primary interest is an update using the labels instead of the ids. Can someone help please? Thnx a lot Michael Instruction: mutation { change_column_value(board_id: 123, item_id: 456, column_id: “status2”, value: “{"ids":[1]}”) { id } } Expected: value: "{"ids": [1]} Result: value: "{"ids": [1]} Instruction: mutation { change_column_value(board_id: 123, item_id: 456, column_id: “status2”, value: “{"id":1}”) { id } } Expected: value: "{"ids": [1]} Result: value: "{"ids": null} Instruction: mutation { change_column_value(board_id: 123, item_id: 456, column_id: “status2”, value: “{"label":"xyz"}”) { id } } Expected: val
The create_column mutation accepts a ColumnType argument with one of the options being integration. What is the purpose of this type?
variables[file]:@/Users/serhiidiukarev/Desktop/20190527_164158.jpg query:mutation ($file: File!) { add_file_to_column(file: $file, item_id: 571979072, column_id: "files") { id } } whole response from the server: <head> <title>monday.com is having some technical issues</title> <link href='//fonts.googleapis.com/css?family=Roboto:300,500' rel='stylesheet' type='text/css'> <style type="text/css"> html { background-color: #575fcd; height: 100%; width: 100%; } body { margin: 0; padding: 0; color: #fff; height: 100%; font-family: "Roboto", sans-serif; letter-spacing: -0.03em; } .message { position: absolute; top: 183px; margin: auto; left: 106px; } .cf-error-details>* { font-size: 16px; font-weight: 400; } h1 { font-weight: 500; font-size: 88px; margin: 0; } h2 { font-weight: 300; font-size: 24px; margin: 0; width: 44vw; margin-top: 1vw; line-height: 32px
Hi, I am trying to build a List Field Type based in Custom Blocks. I have a requirement to prepare the list based on the boardId to which the recipe is being added. I found that only below parameters are passed to the “Remote Options URL” from monday.com as part of payload: recipeId integrationId Is there any way to also retrieve the boardId? Because i need to use it for preparing the list to be returned.
Hello everyone! this is my first topic here, so i hope that i’m doing it in the right section so, i1m having a strange problem, that i can’t seem to find the cause i made a simples app view in react, where i did a console.log with the response from the monday.listen(“eventes”), and, for some reason, i get multiple logs with just 1 action on the boards hope someone can shed a light on whats is going on full code of the app: import React, { useState } from “react”; import “./App.css”; import mondaySdk from “monday-sdk-js”; export default function App() { const monday = mondaySdk(); monday.listen(“events”, res => { console.log(res) }) return ( <div className="App"> Automações </div> ) }
Hello , I’m trying to create a row in a group with specific column value , so itried the following mutation query : mutation { create_item (board_id: 30282029, group_id: "new_groupe3628", item_name: "new item" , column_values: "{\\"text1\\" : \\"hello\\"}") { id } } Wich work perfectly on the monday graphql developer tool But when I put it in my code and use it I always get the same error : Error: Parse error on " : " (STRING) at [3, 116]: {"response":{"errors":[{"message":"Parse error on \\" : \\" (STRING) at [3, 116]","locations":[{"line":3,"column":116}]}],"account_id":2436059,"status":200},"request":{"query":"\\n mutation {\\n create_item (board_id: 716535551, group_id: \\"nouveau_groupe36728\\", item_name: \\"new item\\" , column_values: \\"{\\"text1\\" : \\"hello\\"}\\") {\\n id\\n }\\n }\\n "}} Can Someone Help Me ? Thanks
Hi Community, I’m trying to create a new pulse, the query works fine but, if the item_name have a long text with spacebar it give me a 400 response or parse I’m working with Java. Request working: String query = “{"query":"mutation{create_item(board_id: 88486632, group_id: topics, item_name: apiTest){id}}"}” Request doesn’t work: Try double quote text with scaped quotes String query = “{"query":"mutation{create_item(board_id: 88486632, group_id: topics, item_name: "api Test"){id}}"}” Error: 400 Bad Request Try with simple quote without scape it: String query = “{"query":"mutation{create_item(board_id: 88486632, group_id: topics, item_name: ‘api Test’){id}}"}” Error : {“errors”:[{“message”:“Parse error on "'" (error) at [1, 71]”,“locations”:[{“line”:1,“column”:71}]}],“account_id”:XXXXXXX} Try with simple quote scaping it: String query = “{"query":"mutation{create_item(board_id: 88486632, group_id: topics, item_name: 'api Test'){id}}"}” Error: {“errors”:[{“message”:“Parse error on "'" (
Aloha, Is it possible to create an app that would use a location column to auto-populate a world clock column?That way if you set the location as Los Angeles, CA, the world clock would automatically convert to PST/PDT?
Hi, I’ve used some of the examples on here to develop an API load for data to a new board (the final location will change) and I’ve got the script creating the new item but it won’t load the content we want for the columns. EG Item Name, Text Column, Date Script happily creates the item but that is all. Board is mapped to the same structure etc so I’m not sure why this won’t run. Script is in Google App Script as we intend to use it to update regularly from a sheet, but we’re falling at thefirst hurdle. I’ve looked at all the topics on here and the Quickstart guides. function makeAPICall(key, query, variables) { var url = “https://api.monday.com/v2”; var options = { “method” : “post”, “headers” : { "Authorization" : key, }, “payload” : JSON.stringify({ "query" : query, "variables" : variables }), “contentType” : “application/json” }; var response = UrlFetchApp.fetch(url, options); Logger.log("API results: " + response.getContentText()); return response; } function Create_Line() { va
Trying to create integration with third-party api and update several columns on monday.com side I create custom type with all required fields custom triger with sunscribe/unsubscribe custom action and receipt not working. Field with dropdown just disabled. The main idea - subscribe to fields list when receipt added to boeard and update columns from time to time and mirror columns from external API Can’t figure out what is wrong
I am trying to make my .js file available publicly for a Monday.com webhook. I have previously used ngrok to make this happen but ngrok’s free version has a time limit of 8 hours. Are their any ngrok alternatives that provide no time limit and a static url to keep in the monday webhook?
Here’s a failed attempt to update an item on one of my boards: { “mutation” : “{ change_column_value (board_id: XXXXXXXXX, item_id: YYYYYYYYY, column_id: “text21”, value: “SOMETHING”) { id }} )” } and another: { ““mutation”” : “”{ change_column_value (board_id: XXXXXXXXX, item_id: YYYYYYYYY, column_id: “"text21"”, value: “"SOMETHING"”) { id }} )“” } Can anyone see where I’m in error? Thanks.
Hi, I want to know if there is way to check if the integration was removed from board integrations or not using API.
Hi, I’m trying to create_item with several column values. I can set numeric and people columns fine, but I don’t see documentation for board-relation type in https://monday.com/developers/v2#column-values-section. I’ve tried several formats, but all of them fail. What’s the correct format? Is is even possible to set board-relation when creating new item? This is the example create_item.column_values parameter I supply (https://monday.com/developers/v2#mutations-section-items-create): column_values: "{"person":"18234018", "connect_boards4":"987172748", "numbers":"1"}" person and numbers columns get set correctly, but my connect_boards4, which is of type board-relation fails. I tried following structures: "connect_boards4":"{\\"linkedPulseIds\\":[{\\"linkedPulseId\\":987172748}]}" - responds with 500 "connect_boards4":"987172748"- ColumnValueException: Link to item column value structure invalid "connect_boards4":"[{\\"linkedPulseId\\":987172748}]" - as above "connect_boards4":"{\\
Hi, We are currently develop a Calendar App (very much like the default calendar, with some extra features), I’m struggling how to overcome the performance issue for large amount of data (had reported in Advise for Performance Issue & Getting Timeout Error 504 as well). Is that possible to filtered by multiple column_values with 1 column_id? Something like: query ($boardId: Int!) { items_by_column_values (board_id:$boardId, column_id:“startDate”, column_value:“2021-01-01,2021-01-02,2021-01-03,2021-01-04,2021-01-05”) { id name column_values { id title text value } } } Since I can’t filtered by date range, so I tried to loop a bunch of dates and keep calling API to get the item within a certain date range: var queryCalendar = `query ($boardId: Int!, $startDateId: String!, $calendarStartDate: String!) { items_by_column_values (board_id:$boardId, column_id:$startDateId, column_value:$calendarStartDate) { id na
Hi all, I have a question on building a custom recipe which uses a trigger in board one to update a column in board two. However, in setting up the recipe I don’t believe there’s any way to reference a second board, whereas in the standard recipes this is possible. Is it just something that’s not added to the monday.com apps framework yet @dipro @dsilva or am I overlooking something?
I am using general caster to cast the result to people column. but when the board is refreshed then the result gets reset. Any ideas.
Hi Support, Currently I am trying to use Curl to send a simple query GraphQL via API V2. However , I encountered 400 Bad Request. I ran this command in Windows 10 command mode directly as following. curl -X POST -H “Content-Type:application/json” -H “Authorization:xxxxx” “https://api.monday.com/v2” -d ‘{“query”:“{boards{id,name}}”}’ -v Please kindly advise where should I adjust. Thank you. Best Regards, Steven
Already have an account? Login
No account yet? Create an account
Enter your E-mail address. We'll send you an e-mail with instructions to reset your password.